<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__v1__hmac__state__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_v1_hmac_state_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__v1__hmac__state__t_1ab91d9573a2aadf6df7957ce54740da6f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_crypto_v1_hmac_state_t::ipad</definition>
        <argsstring />
        <name>ipad</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="50" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="50" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__v1__hmac__state__t_1ab39b40390bac9f6f56f99918b7de75f1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_crypto_v1_hmac_state_t::opad</definition>
        <argsstring />
        <name>opad</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="51" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__v1__hmac__state__t_1a013cebf709a8672e2ff9538989265b82" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_crypto_v1_hmac_state_t::m0Key</definition>
        <argsstring />
        <name>m0Key</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="52" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="52" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="53" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="49" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__v1__hmac__state__t_1ab91d9573a2aadf6df7957ce54740da6f" virt="non-virtual"><scope>cy_stc_crypto_v1_hmac_state_t</scope><name>ipad</name></member>
      <member prot="public" refid="structcy__stc__crypto__v1__hmac__state__t_1a013cebf709a8672e2ff9538989265b82" virt="non-virtual"><scope>cy_stc_crypto_v1_hmac_state_t</scope><name>m0Key</name></member>
      <member prot="public" refid="structcy__stc__crypto__v1__hmac__state__t_1ab39b40390bac9f6f56f99918b7de75f1" virt="non-virtual"><scope>cy_stc_crypto_v1_hmac_state_t</scope><name>opad</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>